@import "../../shared/scss/color.scss";

.body {
  width: 100%;
  height: 100vh;
  background-color: $background-color;
  .login {
    position: absolute;
    margin: 0 auto;
    left: 50%;
    top: 45%;
    width: 400px;
    transform: translate(-50%, -50%);
    transition: 0.3s all ease-in-out;
    .logo {
      text-align: center;
      margin-bottom: 30px;
      p {
        font-size: 18px;
        font-weight: bold;
      }
    }
    .box {
      background-color: white;
      border: 1px solid #dddddd;
      box-shadow: 1px 1px 4px #dddddd;
      border-radius: 7px;
      .title {
        width: 100%;
        border-bottom: 1px solid #dddddd;
        p {
          transition: 0.3s all ease-in-out;
          a {
            color: #555555;
            transition: 0.4s all;
            fa-icon {
              font-size: 16px;
              margin-bottom: -4px;
            }
            &:hover {
              color: $aqua-color;
            }
          }
          span {
            font-size: 18px;
            padding: 0 7px;
          }
          font-size: 16px;
          font-weight: 500;
          text-align: right;
          color: #555555;
          width: 90%;
          margin: 0 auto;
          padding: 20px 0;
        }
      }
      .form {
        ::placeholder {
          text-align: right !important;
          direction: rtl !important;
          font-size: 12px;
          color: #999999;
          font-weight: bold;
        }
        .email {
          width: 100%;
          padding: 7px 0;
          label {
            width: 90%;
            text-align: right;
            font-size: 12px;
            font-weight: bold;
            color: $description-color;
            padding: 15px 0;
            display: block;
            margin: 0 auto;
            transition: 1s all;
          }
          input {
            display: block;
            width: 90%;
            margin: 0 auto;
            border: 1px solid #bbbbbb;
            color: $description-color;
            font-size: 16px;
            height: 40px;
            border-radius: 7px;
            background-image: url("../../../assets/images/icon\ png/user.png");
            background-repeat: no-repeat;
            background-size: 24px;
            padding: 7px 38px 7px 5px;
            background-position: 98% 50%;
            transition: 1s all;
            &:focus {
              outline: none;
              box-shadow: none;
            }
          }
        }
        .password {
          width: 100%;
          padding: 9px 0 15px 0;
          div {
            display: block;
            width: 90%;
            margin: 0 auto;
            padding: 10px 0;
            label {
              width: 50%;
              display: inline-block;
              text-align: right;
              font-size: 12px;
              font-weight: bold;
              color: $description-color;
              transition: 1s all;
            }
            a {
              text-align: left;
              display: inline-block;
              width: 50%;
              cursor: pointer;
              font-size: 12px;
              font-weight: bold;
              color: $aqua-color;
              transition: 0.2s all ease-in-out;
            }
          }
          input {
            display: block;
            width: 90%;
            margin: 0 auto;
            border: 1px solid #bbbbbb;
            color: $description-color;
            height: 40px;
            border-radius: 7px;
            background-image: url("../../../assets/images/icon\ png/lock.png");
            background-repeat: no-repeat;
            background-size: 21px;
            background-position: 98% 50%;
            padding: 7px 38px 7px 5px;
            text-align: left;
            transition: 1s all;

            &:focus {
              outline: none;
              box-shadow: none;
            }
          }
        }
        .login-btn {
          width: 90%;
          margin: 0 auto;
          padding: 15px 0 7px 0;
          button {
            background-color: $aqua-color;
            display: flex;
            width: 100%;
            padding: 5px 20px;
            text-align: center;
            cursor: pointer;
            border-radius: 7px;
            height: 40px;
            font-size: 13px;
            font-weight: 600;
            transition: 0.4s all;
            transform: scale(1);
            background-color: -internal-light-dark-color(
              $aqua-color,
              $aqua-color
            );
            border-style: none;
            box-shadow: 1px 1px 7px #aaaaaa;
            &:hover {
              transform: scale(1.07);
            }
            img {
              width: 30px;
              height: 30px;
            }
            span {
              padding-top: 5px;
              margin: 0 auto;
              color: white;
            }
            &:disabled {
              cursor: not-allowed;
              opacity: 0.6;
            }
          }
        }
        .errors {
          width: 90%;
          margin: 0 auto;
          color: red;
          font-size: 12px;
          font-weight: bold;
          background-color: $background-color;
          padding: 4px;
          div {
            padding: 4px 0;
          }
        }
      }
      .bottom {
        border-top: 1px solid #dddddd;
        margin-top: 15px;
        a {
          text-decoration: none;
          width: 90%;
          display: block;
          margin: 0 auto;
          text-align: right;
          padding: 20px 0;
          color: $aqua-color;
          font-weight: bold;
          font-size: 14px;
          cursor: pointer;
        }
      }
    }
  }
  input::placeholder {
    transition: 0.3s all ease-in-out;
  }
}

.label-error {
  color: red !important;
}

@media (max-width: 500px) {
  .body {
    padding-top: 10px !important;
    .login {
      width: 90% !important;
    }
  }
  input::placeholder {
    font-size: 9px !important;
    color: #444444 !important;
    font-weight: 300 !important;
  }
  .box {
    .title {
      p {
        font-size: 12px !important;
        a {
          fa-icon {
            font-size: 14px !important;
          }
        }
        span {
          font-size: 14px !important;
        }
      }
    }
  }
}

@media screen and (max-width: 350px) {
  .login {
    .box {
      .form {
        .password {
          a {
            font-size: 10px !important;
          }
        }
        .login-btn {
          button {
            font-size: 11px !important;
          }
        }
      }
    }
  }
}
